using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// WdScanGraphConfig.xaml 的交互逻辑
    /// </summary>
    public partial class WdGiantMixScanGraph2Config : FLY.ControlLibrary.WindowBigClose
    {
        GiantMixScanGraph2ItemParam graphparam;
        GiantMixScanGraph2Vm giantMixScanGraphVm;
        public WdGiantMixScanGraph2Config()
        {
            InitializeComponent();
        }

        public void Init(GiantMixScanGraph2ItemParam graphparam, GiantMixScanGraph2Vm giantMixScanGraphVm)
        {

            this.graphparam = graphparam;
            this.giantMixScanGraphVm = giantMixScanGraphVm;


            this.DataContext = graphparam;
        }

        private void btnOkClick(object sender, RoutedEventArgs e)
        {
            GiantMixScanGraph2Params.Current.Save();
        }

        private void btnMarkFromTimeClick(object sender, RoutedEventArgs e)
        {
            giantMixScanGraphVm.MarkFromTime();
        }

        private void btnRemoveFromTimeClick(object sender, RoutedEventArgs e)
        {
            giantMixScanGraphVm.ClearFromTime();
        }
    }

    
}
